osl::rating::LongTarget2 Struct Reference

`#include <pattern.h>`

## Public Member Functions

| LongTarget2 (Ptype t, bool s)
bool | match (const NumEffectState &, Move move, Piece p) const
const std::string | name () const

## Public Attributes

Ptype | target
bool | same

## Detailed Description

Definition at line 103 of file pattern.h.

## Constructor & Destructor Documentation

## LongTarget2()

osl::rating::LongTarget2::LongTarget2 | ( | Ptype | t,
|  | bool | s )

inline

Definition at line 107 of file pattern.h.

References same, and target.

## Member Function Documentation

## match()

bool osl::rating::LongTarget2::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | Piece | p ) const

inline

Definition at line 110 of file pattern.h.

References osl::Piece::isEmpty(), osl::isPiece(), osl::Piece::owner(), osl::Move::player(), osl::Piece::ptype(), same, and target.

## name()

const std::string osl::rating::LongTarget2::name | ( |  | ) | const

Definition at line 24 of file pattern.cc.

References osl::Ptype_Table, same, and target.

## Member Data Documentation

## same

bool osl::rating::LongTarget2::same

Definition at line 106 of file pattern.h.

Referenced by LongTarget2(), match(), and name().

## target

Ptype osl::rating::LongTarget2::target

Definition at line 105 of file pattern.h.

Referenced by LongTarget2(), match(), and name().

The documentation for this struct was generated from the following files:

- pattern.h
- pattern.cc